Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class PolicyInformation

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.PolicyInformation

All Implemented Interfaces:
  DEREncodable

    public class PolicyInformation

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`PolicyInformation(ASN1Sequence seq)`
`PolicyInformation(DERObjectIdentifier policyIdentifier)`
`PolicyInformation(DERObjectIdentifier policyIdentifier, ASN1Sequence policyQualifiers)`

Method Summary
`static PolicyInformation` `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` `getPolicyIdentifier()`
`ASN1Sequence` `getPolicyQualifiers()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyInformation

    public PolicyInformation(ASN1Sequence seq)

### PolicyInformation

    public PolicyInformation(DERObjectIdentifier policyIdentifier)

### PolicyInformation

    public PolicyInformation(DERObjectIdentifier policyIdentifier,
                             ASN1Sequence policyQualifiers)

Method Detail

### getInstance

    public static PolicyInformation getInstance(java.lang.Object obj)

### getPolicyIdentifier

    public DERObjectIdentifier getPolicyIdentifier()

### getPolicyQualifiers

    public ASN1Sequence getPolicyQualifiers()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45